def includeme(config):
    config.add_route('home', '/')
    config.add_route('login', '/login')
    config.add_route('v1_login', '/v1/login')
    config.add_route('logout', '/logout')
    config.add_route('v1_auth', '/v1/auth')

    config.add_route('active_cashiers', '/Cashiers.json')
    config.add_route('checkout', '/Checkout/{id}.json')
    # config.add_route('customer_id', '/Customer/{id}.json')

    config.add_route('beer_consumption', '/BeerConsumption.json')
    config.add_route('bill_details', '/BillDetails.json')

    config.add_route('customer', '/Customer.json')
    config.add_route('customer_list', '/Customers.json')
    config.add_route('customer_id', '/Customer/{id}.json')

    config.add_route('discount_report', '/DiscountReport.json')

    config.add_route('location_list', '/Locations.json')

    config.add_route('machine_location', '/MachineLocation.json')
    config.add_route('machine_location_list', '/MachineLocations.json')
    config.add_route('machine_location_id', '/MachineLocation/{id}.json')

    config.add_route('merge_kot', '/MergeKot.json')
    config.add_route('merge_table', '/MergeTable.json')

    config.add_route('modifier', '/Modifier.json')
    config.add_route('modifier_list', '/Modifiers.json')
    config.add_route('modifier_id', '/Modifier/{id}.json')

    config.add_route('move_kot', '/MoveKot.json')
    config.add_route('move_table', '/MoveTable.json')

    config.add_route('permission_list', '/Permissions.json')

    config.add_route('print_location', '/PrintLocation.json')
    config.add_route('print_location_list', '/PrintLocations.json')
    config.add_route('print_location_id', '/PrintLocation/{id}.json')

    config.add_route('product', '/Product.json')
    config.add_route('product_list', '/Products.json')
    config.add_route('product_id', '/Product/{id}.json')

    config.add_route('product_group', '/ProductGroup.json')
    config.add_route('product_group_list', '/ProductGroups.json')
    config.add_route('product_group_id', '/ProductGroup/{id}.json')

    config.add_route('product_group_type_list', '/ProductGroupTypes.json')

    config.add_route('quantity_sold', '/QuantitySold.json')

    config.add_route('reprint', '/Reprint.json')
    config.add_route('reprint_report', '/ReprintReport.json')

    config.add_route('setting', '/Setting.json')
    config.add_route('setting_list', '/Settings.json')
    config.add_route('setting_id', '/Setting/{id}.json')

    config.add_route('sa_sale', '/SaleAnalysis/Sale.json')
    config.add_route('sa_settlements', '/SaleAnalysis/Settlements.json')
    config.add_route('sa_st', '/SaleAnalysis/ServiceTax.json')
    config.add_route('sa_vat', '/SaleAnalysis/Vat.json')

    config.add_route('tax', '/Tax.json')
    config.add_route('tax_list', '/Taxes.json')
    config.add_route('tax_id', '/Tax/{id}.json')

    config.add_route('v1_users_new', '/v1/users/new')
    config.add_route('v1_users_list', '/v1/users/list')
    config.add_route('v1_users_id', '/v1/users/{id}')
    config.add_route('users_new', '/users/new')
    config.add_route('users_list', '/users/list')
    config.add_route('users_id', '/users/{id}')

    config.add_route('v1_roles_new', '/v1/roles/new')
    config.add_route('v1_roles_list', '/v1/roles/list')
    config.add_route('v1_roles_id', '/v1/roles/{id}')
    config.add_route('roles_new', '/roles/new')
    config.add_route('roles_list', '/roles/list')
    config.add_route('roles_id', '/roles/{id}')

    config.add_route('v1_guest_book_new', '/v1/guest-book/new')
    config.add_route('v1_guest_book_list', '/v1/guest-book/list')
    config.add_route('v1_guest_book_id', '/v1/guest-book/{id}')
    config.add_route('guest_book_new', '/guest-book/new')
    config.add_route('guest_book_list', '/guest-book/list')
    config.add_route('guest_book_id', '/guest-book/{id}')

    config.add_route("tables_new", "/tables/new")
    config.add_route("tables_id", "/tables/{id}")
    config.add_route("tables_list", "/tables")
    config.add_route("v1_tables_new", "/v1/tables/new")
    config.add_route("v1_tables_id", "/v1/tables/{id}")
    config.add_route("v1_tables_list", "/v1/tables")

    config.add_route('voucher', '/Voucher.json')
    config.add_route('voucher_id', '/Voucher/{id}.json')
    config.add_route('voucher_reprint', '/ReprintVoucher/{id}.json')
    config.add_route('voucher_settle', '/Settle/{id}.json')
    config.add_route('voucher_split', '/Split/{id}.json')
    config.add_route('voucher_void', '/Void/{id}.json')

    config.add_route('api_lock_info', '/api/LockInfo')
    config.add_route('api_maintenance', '/api/Maintenance')
