import uuid

from pyramid.view import view_config

from barker.models import Location, PrintLocation


@view_config(request_method='GET', route_name='print_location_id', renderer='json', permission='Authenticated')
def show(request):
    id = request.matchdict['id']
    item = request.dbsession.query(PrintLocation).join(PrintLocation.location).filter(
        Location.name == id,
        PrintLocation.product_group_id == None
    ).first()
    return print_location_info(item)


@view_config(request_method='GET', route_name='print_location_id', renderer='json', request_param='pg',
             permission='Authenticated')
def show_pg(request):
    id = request.matchdict['id']
    pg = uuid.UUID(request.GET['pg'])
    item = request.dbsession.query(PrintLocation).join(PrintLocation.location).filter(
        Location.name == id,
        PrintLocation.product_group_id == pg
    ).first()
    if item is None:
        item = request.dbsession.query(
            PrintLocation
        ).join(PrintLocation.location).filter(
            Location.name == id,
            PrintLocation.product_group_id == None
        ).first()

    return print_location_info(item)


def print_location_info(item):
    return {
        'PrintLocationID': item.id,
        'ProductGroup': None if item.product_group is None else {'ProductGroupID': item.product_group_id},
        'Location': item.location.name,
        'Printer': item.printer.name,
        'Copies': item.copies,
        'CutCode': item.printer.cut_code
    }
