import {Component, OnInit} from '@angular/core';
import {Subject} from "rxjs";
import {AuthService} from "../auth/auth.service";

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.css']
})
export class HomeComponent implements OnInit {
  public nameObject = new Subject<string>();

  constructor(private auth: AuthService) {
  }

  ngOnInit() {
    this.auth.userObservable.subscribe((user) => {
      if (user.isAuthenticated) {
        this.nameObject.next(user.name);
      } else {
        this.nameObject.next(null);
      }
    });
  }
}
