import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AuthGuard } from "../auth/auth-guard.service";
import { RunningTablesComponent } from "./running-tables.component";
import { RunningTablesResolver } from "./running-tables-resolver.service";

const routes: Routes = [
  {
    path: '',
    component: RunningTablesComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Guest Book'
    },
    resolve: {
      list: RunningTablesResolver
    }
  },
  {
    path: ':id',
    component: RunningTablesComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Guest Book'
    },
    resolve: {
      item: RunningTablesResolver
    }
  }
];

@NgModule({
  declarations: [],
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
  providers: [
    RunningTablesResolver
  ]
})
export class RunningTablesRoutingModule { }
